### Method

# ECal Component get_alarm_uids

since: 3.34

#### Declaration [src]

    GSList*
    e_cal_component_get_alarm_uids (
      ECalComponent* comp
    )

#### Description [src]

Builds a list of the unique identifiers of the alarm subcomponents inside a calendar component. Free the returned `GSList` with g_slist_free_full (slist, g_free);, when no longer needed.

Available since: 3.34

#### Return value

Type: A list of `utf8`

A `GSList` of unique identifiers for alarms.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
Each element is a NUL terminated UTF-8 string.